package com.casic.missiles.modular.system.enums;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 设备导出标题枚举
 *
 * @author lwh
 */
public enum DeviceExportHeadersEnum {
    /**
     * 设备导出
     */
    DEVICE_EXPORT(new HashMap<String, Short>() {
        {
            put("设备编号", (short) 6000);
            put("设备名称", (short) 8000);
            put("监控内容", (short) 6000);
            put("设备位置", (short) 6000);
            put("权属单位", (short) 8000);
            put("井编号", (short) 6000);
            put("集中器编号", (short) 6000);
            put("安装时间", (short) 5000);
        }
    }, "device.xlsx", "井盖设备数据导出"
    );

    /**
     * 下载文件名
     */
    private String fileName;
    /**
     * 描述信息
     */
    private String description;
    private Map<String, Short> customColumnStyle;

    DeviceExportHeadersEnum(String fileName, String description) {
        this.fileName = fileName;
        this.description = description;
    }

    DeviceExportHeadersEnum(Map<String, Short> customColumnStyle, String fileName, String description) {
        this.fileName = fileName;
        this.description = description;
        this.customColumnStyle = customColumnStyle;
    }


    public String getFileName() {
        return fileName;
    }

    public String getDescription() {
        return description;
    }

    public Map<String, Short> getCustomColumnStyle() {
        return this.customColumnStyle;
    }

}
